<div class="gird grid-rows-3 grid-flow-col gap-4">
    <div class="pb-4">
        <h1>
            Editando vehiculo ({{data.id}}): 
        </h1>
        <mat-divider class="w-full"></mat-divider>
    </div>
    <form [formGroup]="carForm">
        <div class="grid grid-cols-2 gap-2">
            <mat-form-field appearance="fill">
                <mat-label>Nombre dueño</mat-label>
                <input matInput formControlName="carOwner">
            </mat-form-field>
            <mat-form-field appearance="fill">
                <mat-label>Patente vehiculo</mat-label>
                <input matInput formControlName="carPlate">
            </mat-form-field>
            <mat-form-field appearance="fill">
                <mat-label>Color del vehiculo</mat-label>
                <mat-select formControlName="carColor">
                    <mat-option *ngFor="let option of carColors" value="{{option.value}}">{{option.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field appearance="fill">
                <mat-label>Tipo de vehiculo</mat-label>
                <mat-select formControlName="carType" (selectionChange)="handleTypeSelected($event)">
                    <mat-option *ngFor="let option of carTypes" value="{{option.value}}">{{option.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field appearance="fill">
                <mat-label>Tracción</mat-label>
                <mat-select formControlName="carTraction">
                    <mat-option *ngFor="let option of carTractions" value="{{option.value}}">{{option.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field appearance="fill">
                <mat-label>Fecha de compra</mat-label>
                <input matInput formControlName="carYear" [matDatepicker]="picker">
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="grid justify-items-end">
            <button mat-raised-button  color="primary" (click)="updateCar()"><mat-icon class="pr-8">save</mat-icon>Guardar</button>
        </div>
    </form>
</div>